Bug 464045 - Review Request: sreadahead - Super Read Ahead
Review Request: sreadahead - Super Read Ahead
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 21:53 EDT by Matt Domsch
Modified: 2012-12-12 09:06 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 00:00:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-09-25 21:53:37 EDT
Spec URL: http://domsch.com/linux/fedora/sreadahead/sreadahead.spec
SRPM URL: http://domsch.com/linux/fedora/sreadahead/sreadahead-0.02-1.fc9.src.rpm
Description: sreadahead speeds up booting by pre-reading disk blocks used during
previous boots.

Part of the 5-second bootup project.
Comment 1 Dan Horák 2008-09-26 02:05:47 EDT
I have improved the original makefile a bit to support using custom CFLAGS and installing, so the autotools patch can be dropped. You can see the results (patch, new spec file and new srpm) at http://fedora.danny.cz/sreadahead/
Comment 2 Matt Domsch 2008-09-26 08:19:28 EDT
It doesn't matter to me if it uses autotools, or if it uses Dan's (nice and small) Makefile.  I had sent the autotools patch to Arjan, but whatever upstream wishes to use is fine by me.  Arjan, see the patch and spec Dan provides in a comment to this bug and decide for yourself.

Thanks,
Matt
Comment 3 Valent Turkovic 2008-10-07 12:19:23 EDT
when ever this comes in rawhide I volunteering to test it and provide feedback.
Comment 4 Dan Horák 2008-10-07 12:25:06 EDT
Few questions from fedora-devel that should be answered - https://www.redhat.com/archives/fedora-devel-list/2008-October/msg00273.html
Comment 5 Arjan van de Ven 2008-10-21 10:48:06 EDT
on how to generate the file list:

find / -type f > filelist.txt


on the kernel patch; that's still in upstream discussion.
Comment 6 Karel Zak 2008-10-21 15:38:51 EDT
(In reply to comment #5)
> on how to generate the file list: 
> find / -type f > filelist.txt

 shouldn't be better to explicitly define (somewhere in /etc/sysconfig/sreadahed) relevant directories (/bin, /sbin, /usr, ..)?

 "find /" could be real overkill for people with large full disks (I guess we needn't porn pictures and mp3 files during the boot... :-)
Comment 7 Harald Hoyer 2009-01-28 08:24:48 EST
any progress on the kernel patch?
Comment 8 Bill Nottingham 2009-01-28 10:40:14 EST
It's an entirely different kernel patch now.
Comment 9 Harald Hoyer 2009-01-28 11:25:40 EST
This one: http://lkml.org/lkml/2009/1/27/297 
together with sreadahead-1.0 http://lkml.org/lkml/2009/1/27/296
Comment 10 Kyle McMartin 2009-01-28 19:56:55 EST
http://kyle.fedorapeople.org/sreadahead/
|`- http://kyle.fedorapeople.org/sreadahead/sreadahead.spec
`-- http://kyle.fedorapeople.org/sreadahead/sreadahead-1.0-1.fc10.src.rpm

Please let me know if I made a hash of the specfile. I'd like us to get this and the hooks for it into F11.

I'm not willing to merge the patch for the open tracing yet, as we would effectively be "guaranteeing" a userspace interface (not that debugfs really provides these assurances.) and I'd like to wait and see what actually gets merged upstream...
Comment 11 Bernie Innocenti 2009-03-10 10:10:32 EDT
Ping?  Is this review stuck?
Comment 12 Bill Nottingham 2009-03-10 10:20:46 EDT
It still depends on non-upstream kernel changes.
Comment 13 Kyle McMartin 2009-06-02 13:07:54 EDT
I've ported this to use the utrace-ftrace support we currently have in Fedora... Is that acceptable for rawhide/F-12?

I'll submit a patched srpm when I've done a bit more testing to make it somewhat more bulletproof.

Thanks!
 Kyle
Comment 14 Dan Horák 2009-06-03 02:12:53 EDT
(In reply to comment #13)
> I've ported this to use the utrace-ftrace support we currently have in
> Fedora... Is that acceptable for rawhide/F-12?

If that means that instead of relying on kernel patch for the proper function, you have reworked readahead itself, then it is fine.

> I'll submit a patched srpm when I've done a bit more testing to make it
> somewhat more bulletproof.

OK
Comment 15 Alexey Torkhov 2010-06-20 03:37:02 EDT
(In reply to comment #13)
> I've ported this to use the utrace-ftrace support we currently have in
> Fedora... Is that acceptable for rawhide/F-12?

Is patch is available somewhere or this is an abandoned piece of software?
Comment 16 Miroslav Suchý 2012-12-11 18:06:58 EST
Ping? Any progress here? Or we can close this review?
Comment 17 Matt Domsch 2012-12-12 00:00:27 EST
I've got no interest anymore.  I think this was a good idea 5 years ago that never really came to fruition.  Closing - if I'm wrong, someone else can re-open and take it.

Thanks,
Matt
Comment 18 Arjan van de Ven 2012-12-12 09:06:48 EST
This actually got folded into systemd, so as a separate item it is obsolete.

Note You need to log in before you can comment on or make changes to this bug.